Attribute VB_Name = "SWITCH"
Public Sub initialize()
Call send(K7002, ":syst:pres", intStatus)
Call send(K7002, "*rst", intStatus)
Call send(K7002, ":open all", intStatus)

End Sub
Public Sub TCUsetup(intNoOfSmu As Integer)

If intNoOfSmu = 1 Then
Call send(K2361, "5>1;1>5X", intStatus)
End If

If intNoOfSmu = 2 Then
Call send(K2361, "5>1*2;1*2>5X", intStatus)
End If

If intNoOfSmu = 4 Then
Call send(K2361, "5>1*2*3*4;1*2*3*4>5X", intStatus)
End If

End Sub

Public Sub Tlink(intRow As Integer)
 'K7002 As Integer)
Dim i, j As Integer

Call send(K7002, ":arm:tcon:dir sour", intStatus)
Call send(K7002, ":arm:lay2:tcon:dir sour", intStatus)

Call send(K7002, ":arm:lay2:coun 1", intStatus)
Call send(K7002, ":arm:lay2:sour imm", intStatus)
Call send(K7002, ":arm:lay2:del 0", intStatus)
'Call send(K7002, ":arm:lay2:tcon:asyn:ilin 1", intStatus)
'Call send(K7002, ":arm:lay2:tcon:asyn:olin 2", intStatus)

Call send(K7002, ":trig:tcon:dir sour", intStatus)
Call send(K7002, ":trig:sour tlink", intStatus)
Call send(K7002, ":trig:coun " & intRow, intStatus)
Call send(K7002, ":trig:tcon:prot asyn", intStatus)
Call send(K7002, ":trig:tcon:asyn:olin 2", intStatus)
Call send(K7002, ":trig:tcon:asyn:ilin 1", intStatus)
Call send(K7002, ":trig:del 0", intStatus)

End Sub

Public Sub CloseColumn(x As Integer)
   
        Call send(K7002, ":rout:clos (@1!" & CStr(x) & ",1!" & CStr(20 + x) & ")", intStatus)
    
End Sub
Public Sub CloseRow(y As Integer)
    Select Case y
    Case 1 To 40
        Call send(K7002, ":rout:clos (@2!" & y & ")", intStatus)
    Case 41 To 80
        y = y - 40
        Call send(K7002, ":rout:clos (@3!" & y & ")", intStatus)
    End Select
    
End Sub

