VERSION 5.00
Begin VB.Form frmOpenShort 
   Caption         =   "Form1"
   ClientHeight    =   4410
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   10575
   LinkTopic       =   "Form1"
   ScaleHeight     =   4410
   ScaleWidth      =   10575
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtTime 
      Height          =   375
      Left            =   6120
      TabIndex        =   10
      Top             =   2640
      Width           =   1335
   End
   Begin VB.TextBox txtOpenThreshold 
      Height          =   375
      Left            =   6120
      TabIndex        =   9
      Text            =   "100"
      Top             =   2040
      Width           =   1335
   End
   Begin VB.TextBox txtShortThreshold 
      Height          =   375
      Left            =   6120
      TabIndex        =   6
      Text            =   "10"
      Top             =   1440
      Width           =   1335
   End
   Begin VB.CommandButton cmdGraphOS 
      Caption         =   "Graph"
      Height          =   735
      Left            =   840
      TabIndex        =   5
      Top             =   3480
      Width           =   2055
   End
   Begin VB.ComboBox cmboRange 
      Height          =   315
      ItemData        =   "frmOpenShort.frx":0000
      Left            =   4800
      List            =   "frmOpenShort.frx":0013
      TabIndex        =   4
      Text            =   "200K"
      Top             =   600
      Width           =   1335
   End
   Begin VB.CommandButton cmdConfigureOS 
      Caption         =   "Configure"
      Height          =   735
      Left            =   840
      TabIndex        =   2
      Top             =   480
      Width           =   2055
   End
   Begin VB.CommandButton cmdShowGrid 
      Caption         =   "Show Grid"
      Height          =   735
      Left            =   840
      TabIndex        =   1
      Top             =   2520
      Width           =   2055
   End
   Begin VB.CommandButton cmdRunOpenShort 
      Caption         =   "RunOpenShort"
      Height          =   855
      Left            =   840
      TabIndex        =   0
      Top             =   1440
      Width           =   2055
   End
   Begin VB.Label Time 
      Caption         =   "Elapsed Time"
      Height          =   255
      Left            =   4440
      TabIndex        =   11
      Top             =   2760
      Width           =   1335
   End
   Begin VB.Label Open 
      Caption         =   "Open Resistance Threshold             (> Kohms)"
      Height          =   375
      Left            =   3600
      TabIndex        =   8
      Top             =   2040
      Width           =   2055
   End
   Begin VB.Label passfail 
      Caption         =   "Short Resistance Threshold                 (<Kohms)"
      Height          =   375
      Left            =   3600
      TabIndex        =   7
      Top             =   1440
      Width           =   2175
   End
   Begin VB.Label range 
      Caption         =   "Resistance Range"
      Height          =   495
      Left            =   3240
      TabIndex        =   3
      Top             =   600
      Width           =   1215
   End
End
Attribute VB_Name = "frmOpenShort"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub cmdConfigureOS_Click()

Dim strK7002 As String

Call send(K7002, ":open all", intStatus)
SWITCH.Tlink (intRow)

Call send(K7002, ":rout:conf:bbm off", intStatus) 'Break Before Make

    SMU.initialize (SMU1)
    Call SMU.SourceTlink(SMU1, intRow)
    Call SMU.OpenShortTest(SMU1, cmboRange.Text, nplc, sdelay)
    Call SMU.BufferSetting(SMU1, "volt")
    
    SMU.initialize (SMU2)
    Call SMU.SourceTlink(SMU2, intRow)
    Call SMU.OpenShortTest(SMU2, cmboRange.Text, nplc, sdelay)
    Call SMU.BufferSetting(SMU2, "volt")
    
    SMU.initialize (SMU3)
    Call SMU.SourceTlink(SMU3, intRow)
    Call SMU.OpenShortTest(SMU3, cmboRange.Text, nplc, sdelay)
    Call SMU.BufferSetting(SMU3, "volt")
    
    SMU.initialize (SMU4)
    Call SMU.SourceTlink(SMU4, intRow)
    Call SMU.OpenShortTest(SMU4, cmboRange.Text, nplc, sdelay)
    Call SMU.BufferSetting(SMU4, "volt")


End Sub
Private Sub cmdRunOpenShort_Click()

Dim i, k, j As Integer
Dim dblTempTime As Double
Dim strK7002 As String

'**** set buffer size and grid size ****
  ReDim OpenShortBuff(1 To intRow, 1 To intColumn) As Double 'define the size of data that we want to read from 2400
  Call frmGridGraph.GridFormat(intColumn, intRow)


    Call send(SMU1, ":syst:azer once", intStatus)
    Call send(SMU2, ":syst:azer once", intStatus)
    Call send(SMU3, ":syst:azer once", intStatus)
    Call send(SMU4, ":syst:azer once", intStatus)
    
    dblTempTime = timeGetTime
    
    For i = 1 To intColumnDivide Step 1
             
         SWITCH.CloseColumn (i)
         Select Case intRow
         Case intRow = 1 To 40
             Call send(K7002, ":scan (@2!1:2!" & intRow & ")", intStatus)
         Case intRow = 41 To 80
             Call send(K7002, ":scan (@2!1:2!40,3!1:3!" & (intRow - 40) & ")", intStatus)
         End Select
         
         SMU.MeasureFourOS (i)

    Next i
    dblTempTime = timeGetTime - dblTempTime
    txtTime.Text = dblTempTime / 1000
    
Open "d:\optoelectronics\oled\openshortdata.txt" For Output As 1
    For k = 1 To intRow
        For j = 1 To intColumn
            Write #1, k, j, OpenShortBuff(k, j)
        Next j
    Next k

Close #1

GraphType = 2
frmGraph.Show

End Sub



Private Sub cmdShowGrid_Click()
frmGridGraph.Show
End Sub
